
% look at the H1HWSITMX EPICS data from 1147500000
close all

dataCO2 = dlmread('H1ITMX_co2_def.dat');
dataHWS = dlmread('H1ITMX_HWS_def.dat');
dataSELF = dlmread('H1ITMX_self_def.dat');

figure
subplot(3,1,1)
plot(0.5*(dataHWS(:, 2) - median(dataHWS(:, 2)))*1E6, 'o')
grid on
xlim([0 1400])
hold all
plot(dataCO2(:, 2)*1E6, 'o')
plot(dataSELF(:, 2)*1E6, 'o')
legend('HWS DATA', 'CO2-SIM', 'SELF-SIM')
xlabel('Time (m)')
ylabel('Defocus (\muD)')
title('Single-pass thermal lens. t0 = 1147500000')


outL = [];
for ii = 1:1E4
    CO2sc = random('normal', 0.57, 0.14, 1,1);
    SELFsc = random('normal', 2.4, 0.14, 1,1);
    rms1 = std(0.5*dataHWS(:, 2) - CO2sc*dataCO2(2:end, 2)-SELFsc*dataSELF(2:end, 2));
    outL = [outL; rms1, CO2sc, SELFsc];   
end
f1 = find(outL(:, 1) == min(outL(:, 1)));


subplot(3,1,2)
data2 = 0.5*(dataHWS(:, 2) - median(dataHWS(:, 2)))*1E6 - 0.573*dataCO2(2:end, 2)*1E6;
plot(data2, 'o')
grid on
xlim([0 1400])
xlabel('Time (m)')
ylabel('Defocus (\muD)')
title('HWS data minus 0.573*CO2 SIM')

subplot(3,1,3)
plot(data2(:) - 2.52*dataSELF(2:end, 2)*1E6, 'o')
grid on
xlim([0 1400])
xlabel('Time (m)')
ylabel('Defocus (\muD)')
title('HWS data minus 0.573*CO2 SIM minus 2.52*SELF')

orient tall
print('-dpdf', [mfilename(), '.pdf'])


